From e27c54544e00b053f763b6eb18ad26c3de904642 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 16/48] split up monolithic test method


---

diff --git a/modulemd/tests/test_io.py b/modulemd/tests/test_io.py
index 8912912..0eff5db 100644
--- a/modulemd/tests/test_io.py
+++ b/modulemd/tests/test_io.py
@@ -35,23 +35,52 @@ sys.path.insert(0, os.path.join(DIR, ".."))
 
 from modulemd import ModuleMetadata, dump_all, load_all
 
-class TestIO(unittest.TestCase):
+class _TestIOBase(unittest.TestCase):
     maxDiff = None  # display diff when a test fails
 
     @classmethod
     def setUpClass(cls):
         cls.mmd = ModuleMetadata()
 
+
+class TestIOMMDLoads(_TestIOBase):
+
     def test_load_spec(self):
         self.mmd.load("spec.yaml")
+
+
+class TestIO(_TestIOBase):
+
+    @classmethod
+    def setUpClass(cls):
+        super(TestIO, cls).setUpClass()
+        cls.mmd.load("spec.yaml")
+
+    def test_mdversion(self):
         self.assertEqual(self.mmd.mdversion, 1)
+
+    def test_name(self):
         self.assertEqual(self.mmd.name, "foo")
+
+    def test_stream(self):
         self.assertEqual(self.mmd.stream, "stream-name")
+
+    def test_version(self):
         self.assertEqual(self.mmd.version, 20160927144203)
+
+    def test_context(self):
         self.assertEqual(self.mmd.context, "c0ffee43")
+
+    def test_arch(self):
         self.assertEqual(self.mmd.arch, "x86_64")
+
+    def test_summary(self):
         self.assertEqual(self.mmd.summary, "An example module")
+
+    def test_description(self):
         self.assertEqual(self.mmd.description, "A module for the demonstration of the metadata format. Also, the obligatory lorem ipsum dolor sit amet goes right here.")
+
+    def test_eol(self):
         self.assertEqual(self.mmd.eol, datetime.date(2077, 10, 23))
         securitylevel = self.mmd.servicelevels['security']
         securityeol = datetime.date(securitylevel.get_eol().get_year(),
@@ -63,22 +92,40 @@ class TestIO(unittest.TestCase):
                                    featurelevel.get_eol().get_month(),
                                    featurelevel.get_eol().get_day())
         self.assertEqual(featureeol, datetime.date(2018, 12, 31))
+
+    def test_module_licenses(self):
         self.assertSetEqual(self.mmd.module_licenses, set(["MIT"]))
+
+    def test_content_licenses(self):
         self.assertSetEqual(self.mmd.content_licenses,
                 set(["Beerware", "GPLv2+", "zlib"]))
+
+    def test_xmd(self):
         self.assertEqual(self.mmd.xmd, {'some_key': 'some_data'})
+
+    def test_buildrequires(self):
         self.assertDictEqual(self.mmd.buildrequires,
                 {
                     "platform" : "and-its-stream-name",
                     "extra-build-env" : "and-its-stream-name-too"
                 })
+
+    def test_requires(self):
         self.assertDictEqual(self.mmd.requires,
                 {
                     "platform" : "and-its-stream-name"
                 })
+
+    def test_community(self):
         self.assertEqual(self.mmd.community, "http://www.example.com/")
+
+    def test_documentation(self):
         self.assertEqual(self.mmd.documentation, "http://www.example.com/")
+
+    def test_tracker(self):
         self.assertEqual(self.mmd.tracker, "http://www.example.com/")
+
+    def test_profiles(self):
         self.assertSetEqual(set(self.mmd.profiles.keys()),
                 set(["default", "minimal", "container", "buildroot",
                     "srpm-buildroot"]))
@@ -88,10 +135,16 @@ class TestIO(unittest.TestCase):
                 "Minimal profile installing only the bar package.")
         self.assertSetEqual(self.mmd.profiles["minimal"].rpms,
                 set(["bar"]))
+
+    def test_api(self):
         self.assertSetEqual(self.mmd.api.rpms,
                 set(["bar", "bar-extras", "bar-devel", "baz", "xxx"]))
+
+    def test_filter(self):
         self.assertSetEqual(self.mmd.filter.rpms,
                 set(["baz-nonfoo"]))
+
+    def test_components_rpms(self):
         self.assertSetEqual(set(self.mmd.components.rpms.keys()),
                 set(["bar", "baz", "xxx", "xyz"]))
         self.assertEqual(self.mmd.components.rpms["bar"].rationale,
@@ -114,6 +167,8 @@ class TestIO(unittest.TestCase):
                 "xyz is a bundled dependency of xxx.")
         self.assertEqual(self.mmd.components.rpms["xyz"].buildorder,
                 10)
+
+    def test_components_modules(self):
         self.assertSetEqual(set(self.mmd.components.modules),
                 set(["includedmodule"]))
         self.assertEqual(self.mmd.components.modules["includedmodule"].rationale,
@@ -124,6 +179,8 @@ class TestIO(unittest.TestCase):
                 "somecoolbranchname")
         self.assertEqual(self.mmd.components.modules["includedmodule"].buildorder,
                 100)
+
+    def test_artifacts_rpms(self):
         self.assertSetEqual(self.mmd.artifacts.rpms,
                 set(["bar-0:1.23-1.module_deadbeef.x86_64",
                      "bar-devel-0:1.23-1.module_deadbeef.x86_64",
@@ -132,6 +189,8 @@ class TestIO(unittest.TestCase):
                      "xxx-0:1-1.module_deadbeef.x86_64",
                      "xxx-0:1-1.module_deadbeef.i686",
                      "xyz-0:1-1.module_deadbeef.x86_64"]))
+
+    def test_buildopts_rpms_macros(self):
         self.assertEqual(self.mmd.buildopts.rpms.macros,
                 "%demomacro 1\n%demomacro2 %{demomacro}23\n")
 

